Subject: [bug#73202] [PATCH v2 00/15] Preparation for bootloader rewrite.

From: Herman Rimm <[email-masked]>
Date: Fri, 20 Sep 2024 12:37:45 +0200

Hello,

Patch #1 is now patch #5.  This patches series adds the procedures,
macros and record used in #72457.  I am not sure how to test these on
their own.  Feel free to write some small tests, if you think of any.
If I failed to described a change or did it poorly, please let me know.

Patch #11 and patches with fewer changes can be merged out of order.

Yesterday I had trouble using [email-masked] to block one issue
on another.  So if you could make this issue block on #69343, and #72457
block on this, I would appreciate that.

Cheers,
Herman

Herman Rimm (3):
  guix: utils: Add flatten and flat-map from haunt.
  guix: records: Add wrap-element procedure.
  gnu: bootloader: Match records outside the module.

Lilah Tascheter (12):
  gnu: bootloader: Remove deprecated bootloader-configuration field.
  gnu: system: Remove useless boot parameters.
  gnu: tests: reconfigure: Remove bootloader install test.
  guix: scripts: Remove unused code.
  guix: scripts: Rewrite reinstall-bootloader to use provenance data.
  gnu: bootloader: Add bootloader-target record and infastructure.
  gnu: bootloader: Add bootloader-configurations->gexp.
  gnu: bootloader: Add device-subvol field to menu-entry record.
  gnu: build: bootloader: Add efi-bootnums procedure.
  gnu: bootloader: Install any bootloader to ESP.
  gnu: system: boot: Add procedure.
  teams: Add bootloading team.

 doc/guix.texi             |  34 +--
 etc/teams.scm             |  10 +
 gnu/bootloader.scm        | 504 +++++++++++++++++++++++++++++++++-----
 gnu/build/bootloader.scm  | 161 +++++++-----
 gnu/build/image.scm       |  23 +-
 gnu/image.scm             |   4 +
 gnu/system.scm            |   7 -
 gnu/system/boot.scm       |  14 +-
 gnu/system/image.scm      |  22 +-
 gnu/tests/reconfigure.scm |  86 +------
 guix/records.scm          |   7 +
 guix/scripts/system.scm   |  96 +++-----
 guix/ui.scm               |   9 +
 guix/utils.scm            |  26 ++
 tests/boot-parameters.scm |  18 +-
 15 files changed, 677 insertions(+), 344 deletions(-)

base-commit: 9292d35ab63055e3752e698710a1a408cc7de7fd
-- 
2.45.2